Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class FieldEmbeddableDescriptor

    java.lang.Object
      org.apache.cayenne.reflect.FieldEmbeddableDescriptor

All Implemented Interfaces:
  EmbeddableDescriptor

    public class FieldEmbeddableDescriptor

extends java.lang.Object
implements EmbeddableDescriptor

A default POJO embeddable descriptor.

Since:
  3.0

Field Summary
`protected Embeddable` | `embeddable`
`protected java.lang.Class<?>` | `embeddableClass`
`protected Accessor` | `embeddedPropertyAccessor`
`protected Accessor` | `ownerAccessor`

Constructor Summary
`FieldEmbeddableDescriptor(Embeddable embeddable, java.lang.String ownerProperty, java.lang.String embeddedPropertyProperty)`

Method Summary
`java.lang.Object` | `createObject(java.lang.Object owner, java.lang.String embeddedProperty)` Creates a new instance of an embeddable class described by this object.
`Embeddable` | `getEmbeddable()` Returns a metadata object for this descriptor.
`java.lang.Class<?>` | `getObjectClass()` Returns an embeddable class mapped by this descriptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### embeddableClass

    protected java.lang.Class<?> embeddableClass

### embeddable

    protected Embeddable embeddable

### ownerAccessor

    protected Accessor ownerAccessor

### embeddedPropertyAccessor

    protected Accessor embeddedPropertyAccessor

Constructor Detail

### FieldEmbeddableDescriptor

    public FieldEmbeddableDescriptor(Embeddable embeddable,
                                     java.lang.String ownerProperty,
                                     java.lang.String embeddedPropertyProperty)

Method Detail

### createObject

    public java.lang.Object createObject(java.lang.Object owner,
                                         java.lang.String embeddedProperty)

  Description copied from interface: `EmbeddableDescriptor`
  Creates a new instance of an embeddable class described by this object.

  Specified by:
    `createObject` in interface `EmbeddableDescriptor`

### getEmbeddable

    public Embeddable getEmbeddable()

  Description copied from interface: `EmbeddableDescriptor`
  Returns a metadata object for this descriptor.

  Specified by:
    `getEmbeddable` in interface `EmbeddableDescriptor`

### getObjectClass

    public java.lang.Class<?> getObjectClass()

  Description copied from interface: `EmbeddableDescriptor`
  Returns an embeddable class mapped by this descriptor.

  Specified by:
    `getObjectClass` in interface `EmbeddableDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.